Bug 619430 - Intel HDA audio: popping/clicking sound distortion
Intel HDA audio: popping/clicking sound distortion
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jaroslav Kysela
desktop-bugs@redhat.com
:
Depends On: 667460
Blocks: 701399
  Show dependency treegraph
 
Reported: 2010-07-29 10:23 EDT by Jiri Koten
Modified: 2011-05-19 08:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 701399 (view as bug list)
Environment:
Last Closed: 2011-05-19 08:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.sh output (17.82 KB, text/plain)
2010-07-30 09:37 EDT, Jiri Koten
no flags Details
ALSA information (19.92 KB, text/plain)
2011-05-02 09:40 EDT, Jiri Koten
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 07:58:07 EDT

  None (edit)
Description Jiri Koten 2010-07-29 10:23:16 EDT
Description of problem:
I hear popping/clicking sound when stopping music. Also problem occurs with two applications playing sound at the same time ,e.g. when playing music and other app plays sound (like terminal bell) - clicking sound distortion occurs.

hw: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)

Version-Release number of selected component (if applicable):
kernel-2.6.32-54.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.play music in rhythmbox/totem
2.while music is playing quit the application (Ctrl-q)

  
Actual results:
you can hear annoying sound distortion   

Expected results:
no sound distortion, sound smoothly disappear    

Additional info:
$ lsmod | grep snd
snd_hda_codec_conexant    36927  1 
snd_hda_intel          24906  1 
snd_hda_codec          82097  2 snd_hda_codec_conexant,snd_hda_intel
snd_hwdep               6746  1 snd_hda_codec
snd_seq                56557  0 
snd_seq_device          6626  1 snd_seq
snd_pcm                84700  2 snd_hda_intel,snd_hda_codec
snd_timer              23087  2 snd_seq,snd_pcm
snd                    70021  10 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               8052  1 snd
snd_page_alloc          8596  2 snd_hda_intel,snd_pcm

#snd_hda_intel module parameters
/sys/module/snd_hda_intel/parameters/power_save_controller
Y
/sys/module/snd_hda_intel/parameters/power_save
0
/sys/module/snd_hda_intel/parameters/beep_mode
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
/sys/module/snd_hda_intel/parameters/enable_msi
-1
/sys/module/snd_hda_intel/parameters/single_cmd
N
/sys/module/snd_hda_intel/parameters/probe_only
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
/sys/module/snd_hda_intel/parameters/probe_mask
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
/sys/module/snd_hda_intel/parameters/bdl_pos_adj
1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
/sys/module/snd_hda_intel/parameters/position_fix
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
/sys/module/snd_hda_intel/parameters/model
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
/sys/module/snd_hda_intel/parameters/enable
Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
/sys/module/snd_hda_intel/parameters/id
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
/sys/module/snd_hda_intel/parameters/index
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
Comment 1 Jaroslav Kysela 2010-07-30 07:40:50 EDT
Please, attach output from 'alsa-info.sh --no-upload' command.
Comment 2 Jiri Koten 2010-07-30 09:37:43 EDT
Created attachment 435558 [details]
alsa-info.sh output
Comment 3 Peter Martuccelli 2010-08-05 09:59:01 EDT
I do not consider this a blocker for RHEL 6.0, moved to R6.1.
Comment 4 Jaroslav Kysela 2011-01-06 02:23:05 EST
A test kernel will be available in bug#667460 with latest ALSA code.

If something does not work, please attach output from the 'alsa-info.sh --no-upload' command running the updated kernel.
Comment 5 RHEL Product and Program Management 2011-01-06 22:56:04 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 Suzanne Yeghiayan 2011-01-07 11:22:49 EST
This request was erroneously denied for the current release of Red Hat
Enterprise Linux.  The error has been fixed and this request has been
re-proposed for the current release.
Comment 8 RHEL Product and Program Management 2011-01-26 14:30:58 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 10 Aristeu Rozanski 2011-02-03 11:47:05 EST
Patch(es) available on kernel-2.6.32-112.el6
Comment 13 Jiri Koten 2011-05-02 09:40:25 EDT
Created attachment 496258 [details]
ALSA information

The issue is still present in kernel-2.6.32-131.0.10.el6.
Comment 22 errata-xmlrpc 2011-05-19 08:38:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.